#ifndef UTIL_MODULE_INFO_INCLUDED
#define UTIL_MODULE_INFO_INCLUDED

#include "utils/imodule_info.h"
#include "../common/common.h"

// /*				VERSION				*/
// #define MODULE_VERSION "2.1.0"

// /*			MODULE NAME				*/
// #define MODULE_NAME "trusted-crypto"

class ModuleInfo : IModuleInfo {
public:
	ModuleInfo() {};
	~ModuleInfo() {};

	Handle<std::string> getModuleName();
	Handle<std::string> getModuleVersion();
	bool getCadesEnabled();
};

#endif //! UTIL_MODULE_INFO_INCLUDED
